org.apache.lucene.benchmark.byTask.stats

## Class TaskStats

- java.lang.Object
- - org.apache.lucene.benchmark.byTask.stats.TaskStats

- All Implemented Interfaces:
    Cloneable

      public class TaskStats
      extends Object
      implements Cloneable

  Statistics for a task run.
  The same task can run more than once, but, if that task records statistics, each run would create its own TaskStats.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(TaskStats stat2)` Add data from another stat, for aggregation
    `TaskStats` | `clone()`
    `int` | `getCount()`
    `int[]` | `getCountsByTime()`
    `long` | `getCountsByTimeStepMSec()`
    `long` | `getElapsed()`
    `long` | `getMaxTotMem()`
    `long` | `getMaxUsedMem()`
    `int` | `getNumParallelTasks()`
    `int` | `getNumRuns()`
    `int` | `getRound()`
    `PerfTask` | `getTask()`
    `int` | `getTaskRunNum()`
    `void` | `setCountsByTime(int[] counts, long msecStep)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### setCountsByTime

          public void setCountsByTime(int[] counts,
                                      long msecStep)

    - #### getCountsByTime

          public int[] getCountsByTime()

    - #### getCountsByTimeStepMSec

          public long getCountsByTimeStepMSec()

    - #### getTaskRunNum

          public int getTaskRunNum()

      Returns:
        the taskRunNum.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getCount

          public int getCount()

      Returns:
        Returns the count.

    - #### getElapsed

          public long getElapsed()

      Returns:
        elapsed time.

    - #### getMaxTotMem

          public long getMaxTotMem()

      Returns:
        Returns the maxTotMem.

    - #### getMaxUsedMem

          public long getMaxUsedMem()

      Returns:
        Returns the maxUsedMem.

    - #### getNumParallelTasks

          public int getNumParallelTasks()

      Returns:
        Returns the numParallelTasks.

    - #### getTask

          public PerfTask getTask()

      Returns:
        Returns the task.

    - #### getNumRuns

          public int getNumRuns()

      Returns:
        Returns the numRuns.

    - #### add

          public void add(TaskStats stat2)

      Add data from another stat, for aggregation
      Parameters:
        `stat2` - the added stat data.

    - #### clone

          public TaskStats clone()
                          throws CloneNotSupportedException

      Overrides:
        `clone` in class `Object`
      Throws:
        `CloneNotSupportedException`

    - #### getRound

          public int getRound()

      Returns:
        the round number.

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.